## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csMeshFactory Class Reference

This is the abstract implementation of iMeshObjectFactory. More...

`#include <cstool/meshobjtmpl.h>`

Inheritance diagram for csMeshFactory:

[legend]
List of all members.

## Public Member Functions

| csMeshFactory (iEngine *engine, iObjectRegistry *object_reg, iMeshObjectType *parent)
| Constructor.
virtual csFlags & | GetFlags ()
| See imesh/object.h for specification.
virtual iMeshFactoryWrapper * | GetMeshFactoryWrapper () const
| See imesh/object.h for specification.
virtual iMeshObjectType * | GetMeshObjectType () const
| Get the ObjectType for this mesh factory.
virtual iObjectModel * | GetObjectModel ()
| See imesh/object.h for specification.
iObjectRegistry * | GetObjectRegistry ()
| Get the object registry.
virtual void | HardTransform (const csReversibleTransform &t)
| See imesh/object.h for specification.
virtual csPtr< iMeshObject > | NewInstance ()=0
| See imesh/object.h for specification.
virtual void | SetMeshFactoryWrapper (iMeshFactoryWrapper *logparent)
| See imesh/object.h for specification.
virtual bool | SupportsHardTransform () const
| See imesh/object.h for specification.
virtual | ~csMeshFactory ()
| destructor

## Protected Attributes

iEngine * | Engine
| Pointer to the engine if available (@@ temporary).
csFlags | flags
| Flags.
iMeshFactoryWrapper * | LogParent
| Logical parent (usually the wrapper object from the engine).
iMeshObjectType * | mesh_type
| Pointer to the MeshObjectType.
iObjectRegistry * | object_reg
| Object registry.

## Detailed Description

This is the abstract implementation of iMeshObjectFactory.

Like csMeshObject, it stores a pointer to the "logical parent".

Definition at line 259 of file meshobjtmpl.h.

## Constructor & Destructor Documentation

csMeshFactory::csMeshFactory | ( | iEngine * | engine,
|  | iObjectRegistry * | object_reg,
|  | iMeshObjectType * | parent
| ) |

| Constructor.

virtual csMeshFactory::~csMeshFactory | ( |  | ) | `[virtual]`

| destructor

## Member Function Documentation

virtual csFlags& csMeshFactory::GetFlags | ( |  | ) | `[inline, virtual]`

| See imesh/object.h for specification. Implements iMeshObjectFactory. Definition at line 293 of file meshobjtmpl.h.

virtual iMeshFactoryWrapper* csMeshFactory::GetMeshFactoryWrapper | ( |  | ) | const`[virtual]`

| See imesh/object.h for specification. This function is handled completely in csMeshObject. Implements iMeshObjectFactory.

virtual iMeshObjectType* csMeshFactory::GetMeshObjectType | ( |  | ) | const`[virtual]`

| Get the ObjectType for this mesh factory. Implements iMeshObjectFactory.

virtual iObjectModel* csMeshFactory::GetObjectModel | ( |  | ) | `[inline, virtual]`

| See imesh/object.h for specification. Implements iMeshObjectFactory. Definition at line 333 of file meshobjtmpl.h.

iObjectRegistry* csMeshFactory::GetObjectRegistry | ( |  | ) | `[inline]`

| Get the object registry. Definition at line 285 of file meshobjtmpl.h.

virtual void csMeshFactory::HardTransform | ( | const csReversibleTransform & | t | ) | `[virtual]`

| See imesh/object.h for specification. The default implementation does nothing. Implements iMeshObjectFactory.

virtual csPtr<iMeshObject> csMeshFactory::NewInstance | ( |  | ) | `[pure virtual]`

| See imesh/object.h for specification. There is no default implementation for this method. Implements iMeshObjectFactory.

virtual void csMeshFactory::SetMeshFactoryWrapper | ( | iMeshFactoryWrapper * | logparent | ) | `[virtual]`

| See imesh/object.h for specification. This function is handled completely in csMeshObject. Implements iMeshObjectFactory.

virtual bool csMeshFactory::SupportsHardTransform | ( |  | ) | const`[virtual]`

| See imesh/object.h for specification. The default implementation returns false. Implements iMeshObjectFactory.

## Member Data Documentation

iEngine* csMeshFactory::Engine `[protected]`

| Pointer to the engine if available (@@ temporary). Definition at line 270 of file meshobjtmpl.h.

csFlags csMeshFactory::flags `[protected]`

| Flags. Definition at line 276 of file meshobjtmpl.h.

iMeshFactoryWrapper* csMeshFactory::LogParent `[protected]`

| Logical parent (usually the wrapper object from the engine). Definition at line 264 of file meshobjtmpl.h.

iMeshObjectType* csMeshFactory::mesh_type `[protected]`

| Pointer to the MeshObjectType. Definition at line 267 of file meshobjtmpl.h.

iObjectRegistry* csMeshFactory::object_reg `[protected]`

| Object registry. Definition at line 273 of file meshobjtmpl.h.

The documentation for this class was generated from the following file:

- cstool/meshobjtmpl.h